<?
/*
 
 本软件版权归作者所有,在投入使用之前注意获取许可
 作者：程威（wiwiboy）
 项目：PHPStat流量统计 1.0
 电话：13553166317
 邮箱：wiwiboy@126.com
 QQ号：158839753
 网址：http://www.phpstat.net
 phpstat.net保留全部权力，受相关法律和国际		  		
		公约保护，请勿非法修改、转载、散播，或用于其他赢利行为，		
		并请勿删除版权声明。
*/
/*	
	verson:v1.0 20060625
	author:wiwiboy
	last update:2006/06/10	
	describe:数据库链接
*/

	include_once 'adodb_lite/adodb.inc.php';

	$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
	global $Conn;
	$Conn = &ADONewConnection(DB_TYPE); 
	$r = $Conn->PConnect(DB_HOSTNAME, DB_USERNAME, DB_PASSWORD,DB_DATABASE);	
	
	if( ! $r )
	{
		if( $_SESSION[SESSION_MANAGER] == '' || $_SESSION[SESSION_USERID] < 1 )
			echo "连接数据库失败,请在 include.inc/config.inc.php 中正确配置数据库信息!";
		else
			header("location:syscfg.php");
		exit;
	}	

	$vrs = $Conn->Execute("select version() as version");
	$vrsrow = $vrs->FetchRow();
	$Version = $vrsrow[version];
	$Versions = substr($Version,0,1);
	$Versions .= substr($Version,2,1);	
	if( $Versions > 40 )
	$Conn->Execute("SET names '".DB_CHARSET."'");
	//$Conn->Execute("SET query_cache_type = '".DB_CACHE."'");
?>